Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.federated
Class ContentJob

    java.lang.Object
      com.bea.content.federated.ContentJob

All Implemented Interfaces
  CalendarJob, Job

    public class ContentJob

extends Object
implements CalendarJob

The Content Job class contains information about a scheduled content job

Field Summary
`static int` | `JOB_CANCELLED`
`static int` | `JOB_ERROR`
`static int` | `JOB_FINISHED`
`static int` | `JOB_SCHEDULED`

Constructor Summary
`ContentJob()` Default ContentJob Constructor
`ContentJob(String name, String description)` Create a ContentJob object which will run commands at a given schedule

Method Summary
`Calendar` | `getCreatedDate()` Returns the date on which the content job was created
`String` | `getDescription()` Return the Description of the job
`int` | `getEndStatus()` Each scheduled content job will have an workflow end status into which all scheduled nodes should be checked in
`String` | `getErrorMessage()` If the job failed for some reason during execution, this field describes the error
`JobResult` | `getJobResult()` Returns the result of the job data once a job has finished execution.
`int` | `getJobStatus()` Returns the job status.
`String` | `getName()` Returns the name of the content job.
`List<ID>` | `getNodeIds()` Returns the nodes associated with the content job
`Calendar` | `getScheduleDate()` Returns the scheduled date on which the job is supposed to be run
`String` | `getUserName()` Returns the name of the user which created the content job
`void` | `setCreatedDate(Calendar createdDate)` Sets the create date of the content job
`void` | `setDescription(String description)` Sets the description of the content job
`void` | `setEndStatus(int endStatus)` Sets the end status of the ContentJob
`void` | `setErrorMessage(String errorMessage)` Sets the error message in case the job fails execution
`void` | `setJobResult(JobResult jobResult)` Sets the jobResult for a content job
`void` | `setJobStatus(int jobStatus)` Sets the job status.
`void` | `setNodeIds(List<ID> nodeIds)` Sets the nodes associated with the job
`void` | `setScheduleDate(Calendar scheduleDate)` Sets the job run schedule date.
`void` | `setUserName(String userName)` Sets the user which created the content job

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JOB_ERROR

    public static final int JOB_ERROR

See Also
  Constants Summary

### JOB_CANCELLED

    public static final int JOB_CANCELLED

See Also
  Constants Summary

### JOB_FINISHED

    public static final int JOB_FINISHED

See Also
  Constants Summary

### JOB_SCHEDULED

    public static final int JOB_SCHEDULED

See Also
  Constants Summary

Constructor Detail

### ContentJob

    public ContentJob()

  Default ContentJob Constructor

### ContentJob

    public ContentJob(String name,
                      String description)

  Create a ContentJob object which will run commands at a given schedule

  Parameters
    `name` - The name of the content job
    `description` - The description of the content job

Method Detail

### getDescription

    public String getDescription()

  Return the Description of the job

  Returns
    Description

### setDescription

    public void setDescription(String description)

  Sets the description of the content job

  Parameters
    `description` -

### getJobStatus

    public int getJobStatus()

  Returns the job status. A job status can be one of the following : JOB_CANCELLED / JOB_FINISHED or JOB_SCHEDULED

  Returns

### setJobStatus

    public void setJobStatus(int jobStatus)

  Sets the job status.

  Parameters
    `jobStatus` -

### getName

    public String getName()

  Returns the name of the content job.

  Returns

### getNodeIds

    public List<ID> getNodeIds()

  Returns the nodes associated with the content job

  Returns

### setNodeIds

    public void setNodeIds(List<ID> nodeIds)

  Sets the nodes associated with the job

  Parameters
    `nodeIds` -

### getScheduleDate

    public Calendar getScheduleDate()

  Returns the scheduled date on which the job is supposed to be run

  Returns
    scheduledDate

### setScheduleDate

    public void setScheduleDate(Calendar scheduleDate)

  Sets the job run schedule date.

  Parameters
    `scheduleDate` -

### getCreatedDate

    public Calendar getCreatedDate()

  Returns the date on which the content job was created

  Returns

### setCreatedDate

    public void setCreatedDate(Calendar createdDate)

  Sets the create date of the content job

  Parameters
    `createdDate` -

### getUserName

    public String getUserName()

  Returns the name of the user which created the content job

  Returns

### setUserName

    public void setUserName(String userName)

  Sets the user which created the content job

  Parameters
    `userName` -

### getEndStatus

    public int getEndStatus()

  Each scheduled content job will have an workflow end status into which all scheduled nodes should be checked in

  Returns

### setEndStatus

    public void setEndStatus(int endStatus)

  Sets the end status of the ContentJob

  Parameters
    `endStatus` -

### getJobResult

    public JobResult getJobResult()

  Returns the result of the job data once a job has finished execution. For a job that's still scheduled or a job that's cancelled, the jobResult object will not contain any meaningful information.

  Returns
    The jobResult asscoated with finished jobs

### setJobResult

    public void setJobResult(JobResult jobResult)

  Sets the jobResult for a content job

  Parameters
    `jobResult` -

### getErrorMessage

    public String getErrorMessage()

  If the job failed for some reason during execution, this field describes the error

  Returns

### setErrorMessage

    public void setErrorMessage(String errorMessage)

  Sets the error message in case the job fails execution

  Parameters
    `errorMessage` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.